Main Page Widgets Namespaces Book

# Gtk::ColorButton Class Reference
[Widgets]

Inheritance diagram for Gtk::ColorButton:

[legend]

List of all members.

## Detailed Description

A button to launch a color selection dialog.

The GtkColorButton is a button which displays the currently selected color an allows to open a color selection dialog to change the color. It is suitable widget for selecting a color in a preference dialog.

The ColorButton widget looks like this:

## Public Member Functions

| ColorButton (const Gdk::Color& color)
| Creates a new color button with a predefined color.
| ColorButton ()
| Creates a new color button.
guint16 | get_alpha () const
| Return value: an integer between 0 and 65535.
Gdk::Color | get_color () const
| Returns a copy of the the current color.
Glib::ustring | get_title () const
| Gets the title of the color selection dialog.
bool | get_use_alpha () const
| Does the color selection dialog use the alpha channel?
const GtkColorButton* | gobj () const
| Provides access to the underlying C GtkObject.
GtkColorButton* | gobj ()
| Provides access to the underlying C GtkObject.
Glib::PropertyProxy_ReadOnly <guint16> | property_alpha () const
| The selected opacity value (0 fully transparent, 65535 fully opaque).
Glib::PropertyProxy<guint16> | property_alpha ()
| The selected opacity value (0 fully transparent, 65535 fully opaque).
Glib::PropertyProxy_ReadOnly <Gdk::Color> | property_color () const
| The selected color.
Glib::PropertyProxy<Gdk::Color> | property_color ()
| The selected color.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_title () const
| The title of the color selection dialog.
Glib::PropertyProxy <Glib::ustring> | property_title ()
| The title of the color selection dialog.
Glib::PropertyProxy_ReadOnly <bool> | property_use_alpha () const
| Whether or not to give the color an alpha value.
Glib::PropertyProxy<bool> | property_use_alpha ()
| Whether or not to give the color an alpha value.
void | set_alpha (guint16 alpha)
| Sets the current opacity to be alpha.
void | set_color (const Gdk::Color& color)
| Sets the current color to be color.
void | set_title (const Glib::ustring& title)
| Sets the title for the color selection dialog.
void | set_use_alpha (bool use_alpha=true)
| Sets whether or not the color button should use the alpha channel.
Glib::SignalProxy0<void> | signal_color_set ()
| The color_set signal is emitted when the user selects a color.
virtual | ~ColorButton ()

## Protected Member Functions

virtual void | on_color_set ()

## Related Functions

(Note that these are not member functions.)
Gtk::ColorButton* | wrap (GtkColorButton* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ColorButton::~ColorButton | ( |  | ) | `[virtual]`

Gtk::ColorButton::ColorButton | ( |  | ) |

Creates a new color button.

This creates a widget in the form of a small button containing a swatch representing the current selected color. When the button is clicked, a color-selection dialog will open, allowing the user to select a color. The swatch will be updated to reflect the new color when the user finishes.

Since gtkmm 2.4:

Gtk::ColorButton::ColorButton | ( | const Gdk::Color& | color | ) | `[explicit]`

Creates a new color button with a predefined color.

Same as Gtk::ColorButton::ColorButton(). Additionally takes a Gdk::Color and initializes the button with this color. Equivalent to calling set_color(color) after the default constructor.

Parameters:

  | color | A Gdk::Color to set the current color with.

Since gtkmm 2.4:

## Member Function Documentation

guint16 Gtk::ColorButton::get_alpha | ( |  | ) | const

Return value: an integer between 0 and 65535.

Returns:
  An integer between 0 and 65535.

Since gtkmm 2.4:

Gdk::Color Gtk::ColorButton::get_color | ( |  | ) | const

Returns a copy of the the current color.

Changes to the return value will have no effect on the Gtk::ColorButton.

Returns:
  A Gdk::Color representing the current internal color of the Gtk::ColorButton.

Since gtkmm 2.4:

Glib::ustring Gtk::ColorButton::get_title | ( |  | ) | const

Gets the title of the color selection dialog.

Since gtkmm 2.4:

Returns:
  The title.

bool Gtk::ColorButton::get_use_alpha | ( |  | ) | const

Does the color selection dialog use the alpha channel?

Returns:
  `true` if the color sample uses alpha channel, `false` if not.

Since gtkmm 2.4:

const GtkColorButton* Gtk::ColorButton::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

GtkColorButton* Gtk::ColorButton::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Button.

virtual void Gtk::ColorButton::on_color_set | ( |  | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<guint16> Gtk::ColorButton::property_alpha | ( |  | ) | const

The selected opacity value (0 fully transparent, 65535 fully opaque).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint16> Gtk::ColorButton::property_alpha | ( |  | ) |

The selected opacity value (0 fully transparent, 65535 fully opaque).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::Color> Gtk::ColorButton::property_color | ( |  | ) | const

The selected color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::Color> Gtk::ColorButton::property_color | ( |  | ) |

The selected color.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gtk::ColorButton::property_title | ( |  | ) | const

The title of the color selection dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gtk::ColorButton::property_title | ( |  | ) |

The title of the color selection dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gtk::ColorButton::property_use_alpha | ( |  | ) | const

Whether or not to give the color an alpha value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gtk::ColorButton::property_use_alpha | ( |  | ) |

Whether or not to give the color an alpha value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ColorButton::set_alpha | ( | guint16 | alpha | ) |

Sets the current opacity to be alpha.

Since gtkmm 2.4:

Parameters:

  | alpha | An integer between 0 and 65535.

void Gtk::ColorButton::set_color | ( | const Gdk::Color& | color | ) |

Sets the current color to be color.

Since gtkmm 2.4:

Parameters:

  | color | A Gdk::Color to set the current color with.

void Gtk::ColorButton::set_title | ( | const Glib::ustring & | title | ) |

Sets the title for the color selection dialog.

Since gtkmm 2.4:

Parameters:

  | title | String containing new window title.

void Gtk::ColorButton::set_use_alpha | ( | bool | use_alpha = `true` | ) |

Sets whether or not the color button should use the alpha channel.

Since gtkmm 2.4:

Parameters:

  | use_alpha | `true` if color button should use alpha channel, `false` if not.

Glib::SignalProxy0< void > Gtk::ColorButton::signal_color_set | ( |  | ) |

The color_set signal is emitted when the user selects a color.

When handling this signal, use get_color() and get_alpha() to find out which color was just selected.

Prototype:
  `void on_my_color_set()`

## Friends And Related Function Documentation

Gtk::ColorButton* wrap | ( | GtkColorButton * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- colorbutton.h